# 类: BotEvent

[(返回目录)](/api.md)

**继承自:** [Event](/api/event.md)

**子类:** [BotOfflineEvent](/api/botofflineevent.md), [BotOnlineEvent](/api/botonlineevent.md), [BotReloginEvent](/api/botreloginevent.md)

RainyBot的Bot自身事件类，协议后端机器人账号自身发生的各类事件通常直接或间接继承此类

## 方法

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_id ( )**

获取发生事件的机器人ID,通常为当前使用的机器人ID

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/botevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
